<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/const.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!--#include file="../Include/function.jsp" -->
<%
f_id=request("id")
meet_id=request("meetid")
 if f_id="" or meet_id="" or isnumeric(f_id)=false or isnumeric(meet_id)=false then
 Call Msgbox("对不起，ID号错误！",1)
 Response.end
 end if
 m_ID = Request.Cookies("aspxnet")("CurUserID")
 m_username= Request.Cookies("aspxnet")("CurUsername")

set rs_a=server.createobject("adodb.recordset")
sql_a="select * from t_club where F_id="&f_id
rs_a.open sql_a,conn,1,3

if rs_a.eof then
 Call Msgbox("对不起，该小圈子已经不存在！",1)
 Response.end
end if

set rs_m=server.createobject("adodb.recordset")
sql_m="select * from t_club_meet where F_id="&meet_id
rs_m.open sql_m,conn
if rs_m.eof and rs_m.bof then
 Call Msgbox("对不起，该活动已经不存在！",1)
 Response.end
end if

%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE><%=rs_m("f_title")%>-小圈子</TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
href="css/my_index.css" type=text/css rel=stylesheet>
<SCRIPT>
<!--
function SenFe_Code(sname,sid)
{
	if(sid.style.display=="block")
	{
		sid.style.display="none";
		sname.innerText="＋管理";
	}
	else
	{
	sid.style.display="block";
	sname.innerText="－管理";
	}
}
-->
</SCRIPT>

<SCRIPT language=JavaScript>

function copycode() {
  var tempval=eval("document.all.code");
  tempval.focus();
  tempval.select();
  therange=tempval.createTextRange();
  therange.execCommand("Copy");
  alert("\n网址已经拷贝到你的剪贴板上了！\n\n请按Ctrl+V将其粘贴发给你的朋友。");
}

</SCRIPT>
<SCRIPT language=JavaScript>
<!--
function check() 	
{
        if (document.write2.content.value == "")  {
               alert("请输入留言内容");
			   document.write2.content.focus();
               return false;
        }
        if (document.write2.content.value.length >255)  {
               alert("留言内容字数不得超过255个字符");
			   document.write2.content.focus();
               return false;
        }
		else {
		       return true;}
			}
//-->
</SCRIPT>
<STYLE type=text/css>.STYLE1 {
	COLOR: #ff6600
}
</STYLE>

<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY><!--Top start-->
<DIV id=top>
<DIV id=logo><A href="QQ_index.jsp"><IMG alt=小圈子 
src="img/my_logo.gif"></A></DIV>
<DIV id=banner><!--广告位置--></DIV>
<H1><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>"><%=rs_a("f_name")%></A></H1>
<H2></H2>
<H3><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>">告诉朋友</A> <A 
href="QQ_search.jsp">搜索小圈子</A> <A 
href="login.jsp"><IMG 
src="img/my_logbot.gif"></A> </H3></DIV><!--Top end--><!--Nav start-->
<DIV id=nav>
<%if m_username=rs_a("f_manage_username") then%><b><a href="#"><span OnClick="SenFe_Code(this,SenFe_8);">+管理</span></a></b><%end if%>
<A href="club_viewsub.jsp?id=<%=rs_a("f_id")%>">首页</A> | <A 
href="QQ_clubploy.jsp?id=<%=rs_a("f_id")%>">活动</A> | <A 
href="club_photolist.jsp?id=<%=rs_a("f_id")%>">相册</A> | <A 
href="club_usersub.jsp?id=<%=rs_a("f_id")%>">成员</A></DIV>
<div id="SenFe_8" style="display:none;">
&nbsp;&nbsp;[<a href="club_editsub.jsp?id=<%=rs_a("f_id")%>">小圈子设定</a>]&nbsp;&nbsp;[<a href="club_usermanage.jsp?id=<%=rs_a("f_id")%>">会员管理</a>]&nbsp;&nbsp;[<a href="club_meetmanage.jsp?id=<%=rs_a("f_id")%>">活动管理</a>]&nbsp;&nbsp;[<a href="club_photomanage.jsp?id=<%=rs_a("f_id")%>">照片管理</a>]&nbsp;&nbsp;[<a href="club_boardmanage.jsp?id=<%=rs_a("f_id")%>">公告管理</a>]
</div> <!--Nav end--><!--Contain start-->
<DIV id=contain>
<ADDRESS>小圈子地址:<INPUT id=code 
style="FONT: 9pt Arial; WIDTH: 370px; COLOR: #004897; BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BACKGROUND-COLOR: #edffff; BORDER-BOTTOM-STYLE: none" 
value=<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%> name=code><A 
style="CURSOR: pointer" onclick=copycode()>复制</A> | <A 
href="javascript:window.external.addFavorite('<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>','小圈子');">收藏</A></ADDRESS><!--资料 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_2); href="#">－</B> <%=rs_m("f_title")%>-小圈子活动</H2>
<DIV id=SenFe_2 style="DISPLAY: block">
<DIV id=groupclub>
<UL><%
	  set rs_c=server.createobject("adodb.recordset")
	  sql_c="select * from t_club_meet where f_club_id="&rs_a("f_id")&"  order by f_regtime desc"
  rs_c.open sql_c,conn,1,3
do while not rs_c.eof		
	  %>
  <LI><A title="<%=rs_c("f_title")%>" href="club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=rs_c("f_id")%>"><%=rs_c("f_title")%> <%if rs_c("f_endtime")< now() then%><font class=red>(已过期)</font><%end if%></a> 
  </LI>
 <% 
	  rs_c.movenext
	  loop
	  rs_c.close
	  set rs_c=nothing
	  %>
  </UL>
<DL>
  <DD><SPAN>活动名称:</SPAN> <%=rs_m("f_title")%></FONT> <%if rs_m("f_endtime")< now() then%><font class=red>(已过期)</font><%end if%></DD>
  <DD><SPAN>发起人:</SPAN> <A 
            href="club_member.jsp?username=<%=rs_m("f_username")%>" 
            target=_blank><U><%=rs_m("f_username")%></U></A> </DD>
  <DD><SPAN>所在城市:</SPAN> <%=rs_m("f_area")%> </DD>
  <DD><SPAN>活动地点:</SPAN> <%=rs_m("f_address")%> </DD>
  <DD class=red><SPAN>限制人数:</SPAN> <%=rs_m("f_count")%> </DD>
  <DD><SPAN>付费方式:</SPAN> <%=rs_m("f_price")%> </DD>
  <DD class=red><SPAN>活动开始时间:</SPAN> <%=rs_m("f_time")%> </DD><DD class=red><SPAN>活动结束时间:</SPAN> <%=rs_m("f_endtime")%> </DD>
  <DD style="WIDTH: 100%"><SPAN>参与人员:</SPAN> 	 <%
		  set rs_c=server.createobject("adodb.recordset")
		  sql_c="select f_username from T_club_meetmember where f_club_id="&f_id&" and f_meet_id="&meet_id
		  rs_c.open sql_c,conn
		  do while not rs_c.eof
		  %>
		  <A href="club_member.jsp?username=<%=rs_c("f_username")%>" target=_blank><U><%=rs_c("f_username")%></U></A>&nbsp;&nbsp;
		  <%
		  rs_c.movenext
		  loop
		  rs_c.close
		  set rs_c=nothing
		  %>&nbsp;&nbsp; </DD>
</DL>
<DIV style="LINE-HEIGHT: 160%">
<H3 
style="COLOR: #900">活动说明:</H3>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=rs_m("f_content")%></DIV>
<P class=center><A class=bot3 onClick="javascript:alert('您确定要报名参加这个活动吗？');" 
href="club_joinmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=rs_m("f_id")%>&type=join">我要参加 
&gt;&gt;</A> <A class=bot3 onClick="javascript:alert('您确定要取消这个活动的报名吗?');" 
href="club_joinmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=rs_m("f_id")%>&type=cancel">取消参加 
&gt;&gt;</A> </P></DIV></DIV>
<DIV id=grouppost>
<DL><%
					dim PerPage
					set rs_c=server.createobject("adodb.recordset")
					sql_c="select * from t_club_meetbook where f_club_id="&rs_a("f_id")&" and f_meet_id="&rs_m("f_id")&" order by f_regtime desc"
					rs_c.open sql_c,conn,1,1
					'flag="尚未处理"
                    PerPage=6
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何新闻</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if					
				%>
  <DT class="dd3 STYLE1">活动讨论 </DT>
  <%
if not rs_c.eof then
i=0
do while not rs_c.eof
%>
  <DD class=dd2><A 
            href="club_member.jsp?username=<%=rs_c("f_username")%>"><U><%=rs_c("f_username")%></U></A>&nbsp;&nbsp;&nbsp;<%=rs_c("f_regtime")%>&nbsp;留言道：&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </DD>
  <DD class=dd3><%= LoseHtml(rs_c("F_Content"))%></DD><%
i=i+1
if i >= Perpage then exit do
rs_c.movenext
loop
end if
%></DL>
<FORM 
style="PADDING-RIGHT: 8px; PADDING-LEFT: 8px; PADDING-BOTTOM: 8px; PADDING-TOP: 8px" 
name=write2 action=club_meetwrite.jsp method=post><LABEL class=dd2 
style="PADDING-RIGHT: 3px; DISPLAY: block; PADDING-LEFT: 3px; PADDING-BOTTOM: 3px; PADDING-TOP: 3px">会员名：<%=m_username%></LABEL> 
<LABEL 
style="PADDING-RIGHT: 3px; DISPLAY: block; PADDING-LEFT: 3px; PADDING-BOTTOM: 3px; PADDING-TOP: 3px"><TEXTAREA style="BORDER-RIGHT: #ccc 1px solid; BORDER-TOP: #ccc 1px solid; BORDER-LEFT: #ccc 1px solid; BORDER-BOTTOM: #ccc 1px solid" name=content rows=5 cols=80></TEXTAREA></LABEL> 
<LABEL 
style="PADDING-RIGHT: 3px; DISPLAY: block; PADDING-LEFT: 3px; PADDING-BOTTOM: 3px; PADDING-TOP: 3px"><BUTTON 
class=bot2 type=submit>留言</BUTTON> </LABEL><input name="f_id" type="hidden" id="id" value="<%=rs_a("f_id")%>">
                <input name="meetid" type="hidden" id="meetid" value="<%=rs_m("f_id")%>"> 
				
				 </FORM>
<DIV class=page><% If currentpage > 1 Then  %>
              &nbsp;<a href='club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=meet_id%>&page=<%=cstr(1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN></a> 
              &nbsp;<a href='club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=meet_id%>&page=<%=Cstr(currentpage-1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN></a> 
              &nbsp; 
              <% Else  %>
              &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN> 
              &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN> 
              <% end if %>
              <%
			  if rs_c.pagecount>8 then
			  n_star=currentpage
			  n_end=currentpage+7
			  else
			  n_star=1
			  n_end=rs_c.pagecount			  
			  end if
			  %>
              <% FOR n=n_star to n_end %>
              <% if n>rs_c.pagecount then  exit for  end if%>
              &nbsp;<a href='club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=meet_id%>&page=<%=n%>'><FONT color=#ff0000><B><%=n%></B></FONT></a> 
              <%
			  next
			 %>
              <% If currentpage < Rs_c.PageCount Then %>
              &nbsp;<a href='club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=meet_id%>&page=<%=Cstr(currentPage+1)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN></a> 
              &nbsp;<a href='club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=meet_id%>&page=<%=Cstr(Rs_c.PageCount)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN></a> 
              <% else %>
              &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN> 
              &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN> 
              <% end if %> </DIV></DIV></DIV><!--活动 end--></DIV><!--Contain end-->
<DIV id=footer><A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%></DIV></BODY></HTML>
